if not flags.firstdop and flags.ShowTutorial then
  flags.firstdop=true
  CreateTutorial("10008",520,15,1)
end;
function gameinput (sender,obj_id,attachedID)
  sendersProcessing(sender, obj_id, attachedID);
  MiniInterfaceHandler(sender, obj_id)

  if sender==30 then
    if flags.wkat_open and not flags.wkat_openM then
      flags.wkat_openM=true
      speciale_action(2,14)
      speciale_action(2,16)
    end;  
    if flags.ShkatCompl then
      StopEmiter("Standart_1_2");
      speciale_action(2,13)
      to_museum=true
      ADDHINT()
      set_visible_object(7000232,false)
      WaitRender()
    end;
  return;end;  
  
  if sender==16 then
    if obj_id==11 then
      speciale_action(2,11,true)
      speciale_action(2,12,true)
    return;end;
    if obj_id==12 then
      speciale_action(2,obj.wkat_op_d_l.id,true)
      playeffect("open_box")
      speciale_action(2,obj.wkat_cl_d_l.id,true)
      speciale_action(2,obj.amul_d_l.id,true)
      setCursor(obj.amul_d_l.id,4)
      Block_Show_Cur(false)
      flags.wkat_open=true
    return;end;
  return;end;
  
  if sender==1 then
    if obj_id==1 then
      if obj.kul~=nil and attachedID==obj.kul.id then
        removeFromMouse()
        playeffect("med")
        UnStoreObj(obj.kul.id)    
        speciale_action(2,11,true)
        setCursor(1,3)
        speciale_action(2,1)
        Block_Show_Cur(true)
      return;end;
      if (obj.kul==nil or (obj.kul~=nil and attachedID~=obj.kul.id) )and attachedID~=-1 then
        CreatePlashechka("10000")
      return;end;  
      if   attachedID==-1 then
        CreatePlashechka("475")
      return;end;  
    return;end;
    if obj_id==obj.amul_d_l.id then
      flags.ShkatCompl=true
      letitmed=true
      -- obj.amul_d_l.is_stored=true
      -- storeId = obj_id + 100000
      -- addactivobjecttogame(storeId,invent_source["amul_d_l_i"],2427,2261,"","474")
       -- CreateWindow("474",-1,"okno",invent_source["amul_d_l_i"],2)
      StoreObj(obj.amul_d_l.id)
  
    return;end;
  end
  
  if sender == 26 then
    CloseSatelite()
  end    
end